Bug 1734997 - calibre: FTBFS in Fedora rawhide/f31
Summary: calibre: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 17:55 UTC by Fedora Release Engineering
Modified: 2019-10-06 17:15 UTC (History)
6 users (show)

Fixed In Version: calibre-3.46.0-1.git20190819.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-06 17:15:21 UTC


Attachments (Terms of Use)
build.log (1.19 KB, text/plain)
2019-07-31 17:55 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 17:56 UTC, Fedora Release Engineering
no flags Details
state.log (473 bytes, text/plain)
2019-07-31 17:56 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 17:55:52 UTC
calibre failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36632292


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix calibre at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
calibre will be orphaned. Before branching of Fedora 32,
calibre will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 17:55:55 UTC
Created attachment 1595520 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 17:56:02 UTC
Created attachment 1595521 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 17:56:04 UTC
Created attachment 1595522 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:51:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:44:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Zbigniew Jędrzejewski-Szmek 2019-08-20 11:32:47 UTC
Built in rawhide and F31 now.

Comment 7 Petr Viktorin 2019-08-21 13:10:21 UTC
This should fix the failure in Python 3.8: https://github.com/kovidgoyal/calibre/pull/1033

Comment 8 Zbigniew Jędrzejewski-Szmek 2019-08-21 15:08:56 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=37200310

Duh, no it failed because of nothing provides pkgconfig(egl) needed by qt5-qtbase-devel-5.12.4-6.fc31.x86_64.
We'll need to try again later.

Comment 9 Kevin Fenzi 2019-10-06 17:15:21 UTC
I just pushed 4.0.0. Built fine.


Note You need to log in before you can comment on or make changes to this bug.